Bug 1597764 - adwaita-lock.jpg is missing
Summary: adwaita-lock.jpg is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-backgrounds
Version: 7.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Kalev Lember
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1628587
TreeView+ depends on / blocked
 
Reported: 2018-07-03 14:57 UTC by Jiri Koten
Modified: 2018-10-30 10:27 UTC (History)
6 users (show)

Fixed In Version: gsettings-desktop-schemas-3.28.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:27:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:27:56 UTC

Description Jiri Koten 2018-07-03 14:57:46 UTC
Description of problem:
gnome-shell use /usr/share/backgrounds/gnome/adwaita-lock.jpg as a default background for lock screen but it's missing in the pkg.

This results in blue lock screen in GDM login screen and new user session.

gnome-shell[19523]: Failed to load background 'file:///usr/share/backgrounds/gnome/adwaita-lock.jpg': Error opening file /usr/share/backgrounds/gnome/adwaita-lock.jpg: No such file or directory

Version-Release number of selected component (if applicable):
gnome-shell-3.28.2-1.el7
gnome-backgrounds-3.28.0-1.el7

Comment 2 Kalev Lember 2018-09-04 14:31:59 UTC
Jimmac, do you know why gnome-backgrounds no longer ships adwaita-lock.jpg ? Looks like it's still used.

Added gnome-shell people to CC as well, do you guys know why gnome-shell is using adwaita-lock.jpg that gnome-backgrounds apparently now longer ships?

Comment 3 Florian Müllner 2018-09-04 15:01:16 UTC
(In reply to Kalev Lember from comment #2)
> Added gnome-shell people to CC as well, do you guys know why gnome-shell is
> using adwaita-lock.jpg that gnome-backgrounds apparently now longer ships?

Because that's the background it's supposed to use according to the settings - https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas/merge_requests/4 didn't land so far.

Comment 4 Kalev Lember 2018-09-04 15:26:01 UTC
I'll go and backport that then. Thanks, Florian!

Comment 8 errata-xmlrpc 2018-10-30 10:27:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.